#!/bin/sh
. /usr/share/phytec-gstreamer-examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo " ================================================================================="
echo " starting gstreamer with Monochrome Source ..."
echo " read $SENSOR_RES_HD (offset x,y=$OFFSET_SENSOR_HD), convert and write to framebuffer 1280x720"
echo " ================================================================================="
echo ""
echo " configure CSI1 (CAM1 port) with media_control"
echo " ================================================"

media-ctl -r
media-ctl -l "'${CAM_ENTITY_NAME}':0->'mxc-mipi-csi2.0':0[1]"
media-ctl -l "'mxc-mipi-csi2.0':4->'mxc_isi.0':0[1]"
media-ctl -l "'mxc_isi.0':12->'mxc_isi.0.capture':0[1]"
#           Camera -> mxc-mipi-csi2.0 -> mxc_isi.0 -> mxc_isi.0.capture (/dev/videoX)   

media-ctl -V "'${CAM_ENTITY_NAME}':0 [fmt:${CAM_BW_FMT}/${SENSOR_RES_HD} ${OFFSET_SENSOR_HD}/${SENSOR_ARRAY_HD}]"
media-ctl -V "'mxc-mipi-csi2.0':4 [fmt:${CAM_BW_FMT}/${SENSOR_RES_HD}]"
media-ctl -V "'mxc_isi.0':12 [fmt:${CAM_BW_FMT}/${SENSOR_RES_HD} field:none]"

echo ""
echo " configure camera @CAM1 with v4l2_control"
echo " ========================================"

$V4L2_CTRL_CAM1_BW

echo ""
echo " Camera name and v4l2 properties"
echo " ==============================="
echo " The camera $CAMERA is at i2c bus=$CAM_I2C_BUS with i2c adress=0x$CAM_I2C_ADRESS installed"
echo " The camera $CAMERA is now present as <$VID_DEVICE> device"
echo " The sensor resolution is <$SENSOR_RES> and the set resolution is <$SENSOR_RES_HD>"
echo " The set color format is <raw,format=GRAY8,depth=8> ($CAM_BW_FMT)"
echo " To change the resolution, modify the <RES> parameter via media-ctl."
echo ""